Subject: Re: [MPC8272ADS]Problem adding flash partitions inside the device tree

From: Pieter <[email-masked]>
Date: Thu, 12 Feb 2009 13:05:09 +0200

Jean-Michel Hautbois wrote:
> Hi everybody !
> I am currently trying to add the support of partitions for the Flash
> chip on my MPC8272ADS board (the chips are Sharp LH28F016SCT-L90).
>
> I have added this part:
>
> flash@0,0 {
>                         compatible = "jedec-flash";
>                         reg = <0x0 0x0 0x2000000>;
>                         bank-width = <4>;
>                         device-width = <1>;
>
>                         partition@ff800000 {
>                                 label = "kernel";
>                                 reg = <0xff800000 0x00400000>;
>                                 read-only;
>                         };
>                         partition@ffc00000 {
>                                 label = "user";
>                                 reg = <0xffc00000 0x00300000>;
>                         };
>                         partition@fff00000 {
>                                 label = "u-boot";
>                                 reg = <0xfff00000 0x00100000>;
>                                 read-only;
>                         };
>                 };
>
> But when I am compiling, I have these warnings:
> Warning (reg_format): "reg" property in
> /localbus@f0010100/flash@0,0/partition@ff800000 has invalid length (8
> bytes) (#address-cells == 2, #size-cells == 1)
> Warning (reg_format): "reg" property in
> /localbus@f0010100/flash@0,0/partition@ffc00000 has invalid length (8
> bytes) (#address-cells == 2, #size-cells == 1)
> Warning (reg_format): "reg" property in
> /localbus@f0010100/flash@0,0/partition@fff00000 has invalid length (8
> bytes) (#address-cells == 2, #size-cells == 1)
> Warning (avoid_default_addr_size): Relying on default #address-cells
> value for /localbus@f0010100/flash@0,0/partition@ff800000
> Warning (avoid_default_addr_size): Relying on default #size-cells
> value for /localbus@f0010100/flash@0,0/partition@ff800000
> Warning (avoid_default_addr_size): Relying on default #address-cells
> value for /localbus@f0010100/flash@0,0/partition@ffc00000
> Warning (avoid_default_addr_size): Relying on default #size-cells
> value for /localbus@f0010100/flash@0,0/partition@ffc00000
> Warning (avoid_default_addr_size): Relying on default #address-cells
> value for /localbus@f0010100/flash@0,0/partition@fff00000
> Warning (avoid_default_addr_size): Relying on default #size-cells
> value for /localbus@f0010100/flash@0,0/partition@fff00000
>
>
> Can anyone help me ?
> I can't understand what the "address-cells" is.
>
> Thanks in advance !
> Best Regards.
> JM
You are missing some definitions, The #address-cells and #size-cells = <1>;
tis is a snippet of teh dts i defined for my board.

        flash@0,0 {
            #address-cells = <1>;
            #size-cells = <1>;
            compatible = "cfi-flash";
            reg = <0x0 0x0 0x08000000>;
            bank-width = <4>;
            device-width = <1>;
           
            /* set flash partition to correspond tu mtd parts in
u-boot*/       
            /*     0xf8000000 */           
            partition@0x0 {
                label = "factory-image";
                reg = <0x00000000 0x01000000>;
            };
            /*     0xf9000000 */           
            partition@0x01000000 {
                label = "app-image-1";
                reg = <0x01000000 0x01000000>;
            };
cheers pieter